MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000001Open CASCADE[OCCT] OCCT:Data Exchangepublic2001-11-17 15:132016-04-17 14:19
Reporterakn 
Assigned Tosln 
PrioritynormalSeveritytrivial 
StatusclosedResolutionunable to reproduce 
PlatformOSWindows NTOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.0.0 
Summary0000001: Shape healing functiion FixFaceSize 'DT_ApplySeq' is out of order.
DescriptionDetails of FixFaceSize testing

syntax:
DT_ApplySeq : DT_ApplySeq result shape rscfilename
[prefix]

rscfilename (sequence):
004.exec.op: FixFaceSize
!
004.FixFaceSize.Tolerance : 1
!
004.FixGaps.Tolerance3d : 1
!
004.FixGaps.SurfaceMode : 1
!
004.FixGaps.SurfaceAddSpans : 1
!
004.FixGaps.SurfaceContinuity : C2
!
004.FixGaps.MaxDeflection : 3

prefix:
004

shapes to be fixed with FixFaseSize
CFE901_cts21gft.rle,
CTO900_cts18078-part.rle,
CTS18683.rle
located in /dn02/users_SUN/det/files
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0033225)
git (administrator)
2014-10-16 16:46

Branch CR1-IR-2014-10-16 has been created by abv.

SHA-1: aefdc31bf08aa962a0f7645a5e025dc363e4ec01


Detailed log of new commits:

Author: abv
Date: Thu Oct 16 16:45:55 2014 +0400

    0025266: Debug statements in the source are getting flushed on to the console
    
    Suppress remaining couts in packages explicitly mentioned in the original bug description
    
    Correction of test cases for issue CR25266

Author: apn
Date: Wed Oct 1 17:24:00 2014 +0400

    0025313: Review of TODOs in test cases for unused platforms
    
    TODOs for unused platforms were deleted. Issue 22988 was closed.

Author: nbv
Date: Fri Sep 26 15:32:46 2014 +0400

    0023547: Tests failures in debug mode
    
    1. DRAW-commands for curve/surface continuity returning were changed.
    2. Output of "distmini" DRAW-command is amended.
    3. Function MinMax() was moved from Standard_Real to IntPatch_ImpImpIntersection_4.gxx.
    4. Incorrect computing of nbcurveC1 in Geom2dConvert::C0BSplineToC1BSplineCurve(...) function was liquidated.
    
    Test cases were changed.

Author: dbv
Date: Wed Oct 8 19:00:20 2014 +0400

    0025266: Debug statements in the source are getting flushed on to the console
    
    Output to cout activated previously in Debug mode by #ifdef DEB is suppressed by using macro <PACKAGE>_DEB instead of DEB
(0033248)
git (administrator)
2014-10-17 12:50

Branch CR1-IR-2014-10-16 has been updated by abv.

SHA-1: 14d2cbe0d2d358f8732bd2e7ee148938671b8f4c


Detailed log of new commits:

Author: abv
Date: Fri Oct 17 12:50:49 2014 +0400

    Fix compilation without TBB (VC9)

(0034278)
git (administrator)
2014-11-12 09:51

Branch CR1-IR-2014-10-16 has been deleted by inv.

SHA-1: 14d2cbe0d2d358f8732bd2e7ee148938671b8f4c
(0035547)
git (administrator)
2014-12-22 13:05

Branch CR1 has been created by ibs.

SHA-1: b2676c4ab8b211abb5240d18383deec2c232b723


Detailed log of new commits:

Author: ibs
Date: Fri Dec 19 18:40:31 2014 +0300

    for android building. GL_LUMINANCE8 macros added
(0035626)
git (administrator)
2014-12-23 19:20

Branch CR1 has been deleted by ibs.

SHA-1: b2676c4ab8b211abb5240d18383deec2c232b723
(0035811)
git (administrator)
2014-12-27 12:46

Branch CR1 has been created by ibs.

SHA-1: 9f9d6f8b9c91389384079f7e30b50724ec8de7c3


Detailed log of new commits:

Author: ibs
Date: Fri Dec 19 18:40:31 2014 +0300

    for android building. GL_LUMINANCE8 macros added
(0047124)
git (administrator)
2015-10-16 17:16

Branch CR1 has been deleted by kgv.

SHA-1: 9f9d6f8b9c91389384079f7e30b50724ec8de7c3
(0048179)
git (administrator)
2015-11-13 17:43

Branch CR01_CMAKE has been created by ibs.

SHA-1: d7698ee19f2d16f0f62b49c9a420c4d7e3cadd66


Detailed log of new commits:

Author: ibs
Date: Fri Nov 13 16:51:47 2015 +0300

    0026869: Documentation - simplify "Building with CMake and ADT on Android" article
    
    ADT using removed. GNU make using added

Author: ibs
Date: Tue Nov 10 15:14:34 2015 +0300

    0026836: Configuration, CMake - CSF_OpenGlLibs variable is not specified
    
    cmake procedure updated

Author: ibs
Date: Fri Nov 13 14:57:46 2015 +0300

    during cleaning inc folder, do not remove the headers with name not containing their package name

Author: ibs
Date: Wed Nov 11 17:48:18 2015 +0300

    0026861: Configuration, CMake - enable -Wall warnings when using CLang
    
    -Wall warning option added for CLang compiler

Author: ski
Date: Fri Jul 10 10:52:53 2015 +0300

    0026247: Too huge binaries are produced for Android platform using MinGW
    
    Parameter "-s" was added to CMAKE_CXX_FLAGS_RELEASE and CMAKE_C_FLAGS_RELEASE to optimize size of binaries

Author: ibs
Date: Tue Nov 10 15:14:34 2015 +0300

    0026836: Configuration, CMake - CSF_OpenGlLibs variable is not specified
    
    cmake procedure updated

Author: ibs
Date: Thu Nov 12 12:55:22 2015 +0300

    0026858: Configuration - cmake wrong detected TK folder
    
    regex template for 3rdparty folder changed
    the sensitive case of comparison of two folders fixed

Author: ibs
Date: Thu Nov 12 15:28:34 2015 +0300

    0025522: gcc for Android cannot compile lex.step.c in Release mode
    
    several misprints fixed (upper case, sorting of empty list, empty parent directory)

Author: ibs
Date: Mon Nov 9 10:47:45 2015 +0300

    0026867: Configuration - update any comparison including __cplusplus macro to remove one
    
    __cplusplus >= 201103L replaced with __QNX__ macro

Author: ibs
Date: Tue Nov 10 11:49:08 2015 +0300

    0026865: Configuration, CMake - ensure consistency between FILES and actual content of inc and src folders
    
    headers from inc folder are being checked for using in further building process
    parse FILES file to collect header files for inc folder
(0048221)
git (administrator)
2015-11-16 15:53

Branch CR01_CMAKE has been updated by ibs.

SHA-1: 6dd227c2eb2836cfa14f65b84e73d3339e72b5b3


Detailed log of new commits:

Author: ibs
Date: Mon Nov 16 14:05:54 2015 +0300

    0026875: Freetype library and header folder is not found by CMake configuration process in specified location
    
    freetype search algo updated

(0048222)
git (administrator)
2015-11-16 15:57

Branch CR01_CMAKE has been updated forcibly by ibs.

SHA-1: 8053f26ad68a36c6c796e9641a5a0f045f98de6a
(0048829)
git (administrator)
2015-12-08 12:05

Branch CR01_test has been created by ibs.

SHA-1: 303b4b776c18b19001091d91993590b0bff30ba2


Detailed log of new commits:

Author: ibs
Date: Tue Dec 8 12:04:22 2015 +0300

    output messages to debug
(0048834)
git (administrator)
2015-12-08 12:46

Branch CR01_test has been deleted by ibs.

SHA-1: 303b4b776c18b19001091d91993590b0bff30ba2
(0049386)
git (administrator)
2015-12-21 18:19

Branch CR01_ibs has been created by ibs.

SHA-1: 0fe0696ba44404ed9d767fd2a8877d81de5e0fb9


Detailed log of new commits:

Author: ibs
Date: Mon Dec 21 18:18:41 2015 +0300

    get properties only from vtk targets
(0049387)
git (administrator)
2015-12-21 18:27

Branch CR01_ibs has been deleted by ibs.

SHA-1: 0fe0696ba44404ed9d767fd2a8877d81de5e0fb9
(0053117)
git (administrator)
2016-04-17 14:19

Branch CR01_CMAKE has been deleted by kgv.

SHA-1: 8053f26ad68a36c6c796e9641a5a0f045f98de6a

- Issue History
Date Modified Username Field Change
2001-11-19 12:06 bugmaster Status new => assigned
2001-11-19 12:06 bugmaster Assigned To bugmaster => abv
2001-11-20 17:03 abv Assigned To abv => sln
2001-11-20 17:55 bugmaster Resolution @0@ => unable to reproduce
2001-11-20 17:55 bugmaster Status assigned => closed
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2014-10-16 16:46 git Note Added: 0033225
2014-10-17 12:50 git Note Added: 0033248
2014-11-12 09:51 git Note Added: 0034278
2014-12-22 13:05 git Note Added: 0035547
2014-12-23 19:20 git Note Added: 0035626
2014-12-27 12:46 git Note Added: 0035811
2015-10-16 17:16 git Note Added: 0047124
2015-11-13 17:43 git Note Added: 0048179
2015-11-16 15:53 git Note Added: 0048221
2015-11-16 15:57 git Note Added: 0048222
2015-12-08 12:05 git Note Added: 0048829
2015-12-08 12:46 git Note Added: 0048834
2015-12-21 18:19 git Note Added: 0049386
2015-12-21 18:27 git Note Added: 0049387
2016-04-17 14:19 git Note Added: 0053117


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker